Package be.fgov.ehealth.dics.protocol.v4

# Class ConsultLegalReferenceType

java.lang.Object
be.fgov.ehealth.dics.core.v4.reimbursementlaw.submit.LegalReferenceKeyType
be.fgov.ehealth.dics.protocol.v4.ConsultLegalReferenceType

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ConsultRecursiveLegalReferenceType`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:33+02:00", comments="JAXB RI v4.0.5") public class ConsultLegalReferenceType extends LegalReferenceKeyType implements Serializable

Java class for ConsultLegalReferenceType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultLegalReferenceType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:core:v4:reimbursementlaw:submit}LegalReferenceKeyType">
           <sequence>
             <element name="Title" type="{urn:be:fgov:ehealth:dics:protocol:v4}ConsultTextType"/>
             <element name="Type" type="{urn:be:fgov:ehealth:dics:core:v4:reimbursementlaw:submit}LegalReferenceTypeType"/>
             <element name="FirstPublishedOn" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="LastModifiedOn" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="LegalReferenceTrace" type="{urn:be:fgov:ehealth:dics:protocol:v4}ConsultLegalReferenceTraceType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v4}validityPeriod"/>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultLegalReferenceType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Instant`
  `getEndDate()`
  Gets the value of the endDate property.
  `Instant`
  `getFirstPublishedOn()`
  Gets the value of the firstPublishedOn property.
  `Instant`
  `getLastModifiedOn()`
  Gets the value of the lastModifiedOn property.
  `List<ConsultLegalReferenceTraceType>`
  `getLegalReferenceTraces()`
  Gets the value of the legalReferenceTraces property.
  `Instant`
  `getStartDate()`
  Gets the value of the startDate property.
  `ConsultTextType`
  `getTitle()`
  Gets the value of the title property.
  `String`
  `getType()`
  ARTICLE, CHAPTER, PARAGRAPH, SECTION
  `void`
  `setEndDate(Instant value)`
  Sets the value of the endDate property.
  `void`
  `setFirstPublishedOn(Instant value)`
  Sets the value of the firstPublishedOn property.
  `void`
  `setLastModifiedOn(Instant value)`
  Sets the value of the lastModifiedOn property.
  `void`
  `setStartDate(Instant value)`
  Sets the value of the startDate property.
  `void`
  `setTitle(ConsultTextType value)`
  Sets the value of the title property.
  `void`
  `setType(String value)`
  Sets the value of the type property.

  ### Methods inherited from class be.fgov.ehealth.dics.core.v4.reimbursementlaw.submit.LegalReferenceKeyType

  `getKey, setKey`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultLegalReferenceType

    public ConsultLegalReferenceType()

- ## Method Details

  - ### getTitle

    public ConsultTextType getTitle()
    Gets the value of the title property.
    Returns:
      possible object is `ConsultTextType`

  - ### setTitle

    public void setTitle(ConsultTextType value)
    Sets the value of the title property.
    Parameters:
      `value` - allowed object is `ConsultTextType`

  - ### getType

    public String getType()
    ARTICLE, CHAPTER, PARAGRAPH, SECTION
    Returns:
      possible object is `String`

  - ### setType

    public void setType(String value)
    Sets the value of the type property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getType()`

  - ### getFirstPublishedOn

    public Instant getFirstPublishedOn()
    Gets the value of the firstPublishedOn property.
    Returns:
      possible object is `String`

  - ### setFirstPublishedOn

    public void setFirstPublishedOn(Instant value)
    Sets the value of the firstPublishedOn property.
    Parameters:
      `value` - allowed object is `String`

  - ### getLastModifiedOn

    public Instant getLastModifiedOn()
    Gets the value of the lastModifiedOn property.
    Returns:
      possible object is `String`

  - ### setLastModifiedOn

    public void setLastModifiedOn(Instant value)
    Sets the value of the lastModifiedOn property.
    Parameters:
      `value` - allowed object is `String`

  - ### getLegalReferenceTraces

    public List<ConsultLegalReferenceTraceType> getLegalReferenceTraces()
    Gets the value of the legalReferenceTraces property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the legalReferenceTraces property.

    For example, to add a new item, do as follows:

         getLegalReferenceTraces().add(newItem);

    Objects of the following type(s) are allowed in the list `ConsultLegalReferenceTraceType`

    Returns:
      The value of the legalReferenceTraces property.

  - ### getStartDate

    public Instant getStartDate()
    Gets the value of the startDate property.
    Returns:
      possible object is `String`

  - ### setStartDate

    public void setStartDate(Instant value)
    Sets the value of the startDate property.
    Parameters:
      `value` - allowed object is `String`

  - ### getEndDate

    public Instant getEndDate()
    Gets the value of the endDate property.
    Returns:
      possible object is `String`

  - ### setEndDate

    public void setEndDate(Instant value)
    Sets the value of the endDate property.
    Parameters:
      `value` - allowed object is `String`